import pybullet as p
import pybullet_data
import time
physicsClient = p.connect(p.GUI)#or p.DIRECT for non-graphical version
p.setAdditionalSearchPath(pybullet_data.getDataPath()) #used by loadURDF
p.setGravity(0,0,-10)

cubeStartPos = [1,3,3]
cubeStartOrientation = p.getQuaternionFromEuler([0,45,45])
objects1 = p.loadURDF("/Users/golubd/Desktop/school/gibson_learning/globe/configuration_2017-07-18/globe.urdf", cubeStartPos, cubeStartOrientation, useMaximalCoordinates=True)
objects2 = p.loadURDF("/Users/golubd/Desktop/school/gibson_learning/globe/configuration_2017-07-18/globe.urdf", cubeStartPos, cubeStartOrientation, useMaximalCoordinates=False)

#vs1 = p.createVisualShape(p.GEOM_MESH, "/Users/golubd/Desktop/school/gibson_learning/globe/mesh/globe_sphere.obj")
#p.createMultiBody(1, vs1, vs1, cubeStartPos, cubeStartOrientation)
p.stepSimulation()
#cubePos, cubeOrn = p.getBasePositionAndOrientation(boxId)
#print(cubePos,cubeOrn)
#planePos, planOrn = p.getBasePositionAndOrientation(objects[0])
#print(planePos, planOrn)
while True:
#p.disconnect()
    p.stepSimulation()
    time.sleep(0.2)